#pragma once
#include "StrMangerSing.h"

typedef StrMangerSing TStrManger;

#define SETSRCTYPE(TSrc)			TStrManger::Instance()->SetSource(new TSrc, true);
#define SETSRCOBJ(OSrc)				TStrManger::Instance()->SetSource(&OSrc, false);

#define CSTR(sid)					(TStrManger::Instance()->GetString((sid))).c_str()
#define VSTR(sid)                   const_cast<char*>(CSTR(sid))
#define STDSTR(sid)					(TStrManger::Instance()->GetString((sid)))
#define DEFSTR(var, sid)			static const char * var = CSTR(sid);

#define UPDATECTRL(hWnd)			(TStrManger::Instance()->UpdateControl((hWnd)));
#define UPDATEMENU(hMenu)			(TStrManger::Instance()->UpdateMenus((hMenu)));
#define UPDATECTRLWND				UPDATECTRL(this->m_hWnd)
#define UPDATEMENUWND				UPDATEMENU(this->GetMenu()->m_hMenu)

#define RENEWCTRL(hWnd)				(TStrManger::Instance()->UnUpdateControl((hWnd)));
#define RENEWMENU(hMenu)			(TStrManger::Instance()->UnUpdateMenus((hMenu)));
#define RENEWCTRLWND				RENEWCTRL(this->m_hWnd)
#define RENEWMENUWND				RENEWMENU(this->GetMenu()->m_hMenu)